Skip to main content
GET
Search Standard Statements

Authorizations

Authorization
string
header
required

Token returned by POST /authenticate. Expires after 60 minutes of inactivity.

Query Parameters

accountCode
string

EnergyWatch account number

accountId
integer

EnergyWatch account identifier

chargeAmount
number

Charge amount for statement

city
string

City name for property

clientNodeId
integer

EnergyWatch client node identifier

commodity
enum<string>

Available values : CHILLEDWATER, ELECTRIC, NATURALGAS, STEAM, WATERSEWER

Available options:
CHILLEDWATER,
ELECTRIC,
NATURALGAS,
STEAM,
WATERSEWER
currency
string

Currency code

dueDate
string

Format: MM/dd/yyyy.

endDate
string

Format: MM/dd/yyyy.

glCode
string

EnergyWatch GL mapping identifier

month
integer

Month for statement

newCharges
number

New charges for statement

pdfUrl
string

EnergyWatch Control Code identifier for PDFs

property
string

Property name for statement

serviceAddress
string

Service address for property

startDate
string

Format: MM/dd/yyyy.

state
string

2-letter state abbreviation

statementId
integer

EnergyWatch statement identifier

status
enum<string>

Available values : ERROR, NEW, PROCESSED, RETRIEVED, SYSTEM_UPDATED, UPDATED

Available options:
ERROR,
NEW,
PROCESSED,
RETRIEVED,
SYSTEM_UPDATED,
UPDATED
statusMessage
string

Status message

totalAmountDue
number

The invoice total

uuid
string<uuid>

Energywatch universally unique identifier

vendor
string

Supply vendor

year
integer

Year for statement

zipCode
string

Zip code / postal code

orderBy
string

(Optional) order by clause when searching statements, useful during paginated requests

page
integer

(Optional) used to paginate through large resultset, NOTE: results come back in page sizes of 500 records

Required range: x >= 1

Response

Successful response

uuid
string
statementId
integer
accountId
integer
clientId
integer
accountCode
string
commodity
string
glCode
string
chargeAmount
integer
status
string
statusMessage
string
property
string
vendor
string
serviceAddress
string
city
string
state
string
zipCode
string
currency
string
startDate
string
endDate
string
month
integer
year
integer
dueDate
string
newCharges
integer
totalAmountDue
integer
glSettings
object
lines
object[]